Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP

Loading…

Update default version of node and npm #63

Closed
wants to merge 4 commits into from

2 participants

@GeBeater
  • change node version from 0.10.15 to 0.10.21
  • change npm version from 1.3.5 to 1.3.11
  • change cookbook version from 1.3.0 to 1.3.1
GeBeater added some commits
@GeBeater GeBeater version update
* change nodejs version from 0.10.15 to 0.10.21
* use npm version 1.3.11 instead of 1.3.5
2f54d36
@GeBeater GeBeater adjustment of metadata
* add changelog entry for node and npm default version update
* change cookbook version in metadata
7efe812
@GeBeater GeBeater version update
* change nodejs version from 0.10.21 to 0.10.24
* change npm version from 1.3.11 to 1.3.21
f8d8d19
@GeBeater GeBeater adjust metadata
* change version from 1.3.1 to 1.3.2
8559f5a
@mdxp
Owner

Updated the latest version of node/npm in #76. Thanks!

@mdxp mdxp closed this
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Commits on Oct 21, 2013
  1. @GeBeater

    version update

    GeBeater authored
    * change nodejs version from 0.10.15 to 0.10.21
    * use npm version 1.3.11 instead of 1.3.5
  2. @GeBeater

    adjustment of metadata

    GeBeater authored
    * add changelog entry for node and npm default version update
    * change cookbook version in metadata
Commits on Dec 24, 2013
  1. @GeBeater

    version update

    GeBeater authored
    * change nodejs version from 0.10.21 to 0.10.24
    * change npm version from 1.3.11 to 1.3.21
  2. @GeBeater

    adjust metadata

    GeBeater authored
    * change version from 1.3.1 to 1.3.2
This page is out of date. Refresh to see the latest.
Showing with 9 additions and 6 deletions.
  1. +3 −0  CHANGELOG.md
  2. +5 −5 attributes/default.rb
  3. +1 −1  metadata.rb
View
3  CHANGELOG.md
@@ -1,3 +1,6 @@
+## v1.3.1:
+ * update default version of node to 0.10.21 - and npm - v1.3.11 ([@GeBeater][])
+
## v1.3.0
* update default versions to the latest: node - v0.10.15 and npm - v1.3.5
* default to package installation of nodejs on smartos ([@wanelo-pair][])
View
10 attributes/default.rb
@@ -24,12 +24,12 @@
default['nodejs']['install_method'] = 'source'
end
-default['nodejs']['version'] = '0.10.15'
-default['nodejs']['checksum'] = '87345ab3b96aa02c5250d7b5ae1d80e620e8ae2a7f509f7fa18c4aaa340953e8'
-default['nodejs']['checksum_linux_x64'] = '0b5191748a91b1c49947fef6b143f3e5e5633c9381a31aaa467e7c80efafb6e9'
-default['nodejs']['checksum_linux_x86'] = '7ff9fb6aa19a5269a5a2f7a770040b8cd3c3b528a9c7c07da5da31c0d6dfde4d'
+default['nodejs']['version'] = '0.10.24'
+default['nodejs']['checksum'] = '610cd733186842cb7f554336d6851a61b2d3d956050d62e49fa359a47640377a'
+default['nodejs']['checksum_linux_x64'] = '6ef93f4a5b53cdd4471786dfc488ba9977cb3944285ed233f70c508b50f0cb5f'
+default['nodejs']['checksum_linux_x86'] = 'fb6487e72d953451d55e28319c446151c1812ed21919168b82ab1664088ecf46'
default['nodejs']['dir'] = '/usr/local'
-default['nodejs']['npm'] = '1.3.5'
+default['nodejs']['npm'] = '1.3.21'
default['nodejs']['src_url'] = "http://nodejs.org/dist"
default['nodejs']['make_threads'] = node['cpu'] ? node['cpu']['total'].to_i : 2
default['nodejs']['check_sha'] = true
View
2  metadata.rb
@@ -3,7 +3,7 @@
license "Apache 2.0"
description "Installs/Configures nodejs"
long_description IO.read(File.join(File.dirname(__FILE__), 'README.md'))
-version "1.3.0"
+version "1.3.2"
name "nodejs"
provides "nodejs"
Something went wrong with that request. Please try again.